> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shopsniffer.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke an API key

` DELETE /api-keys/{id} `

Revoke an API key

## Servers

- ` https://shopsniffer.com/api `

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` BearerAuth `: ` http `

  - HTTP scheme: ` bearer `

  - Clerk JWT token

## Parameters

### ` id ` (path, required)

- ` value `: type ` string `

## Responses

### ` 200 ` — Key revoked

### ` 401 ` — Unauthorized

### ` 404 ` — Key not found

## Request examples

### cURL

```curl
curl -X DELETE 'https://shopsniffer.com/api/api-keys/string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://shopsniffer.com/api/api-keys/string', {
  method: 'DELETE',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.delete('https://shopsniffer.com/api/api-keys/string', headers=headers)
print(response.json())
```